Bug 8005 - Kudzu core dumps on Toshiba Tecra 8000
Kudzu core dumps on Toshiba Tecra 8000
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-26 22:43 EST by mikepenn
Modified: 2014-03-16 22:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-08 18:01:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mikepenn 1999-12-26 22:43:51 EST
While running RH61, Kudzu is core dumping on my Tecra 8000 (128MB RAM).
This seems to have started after I docked the laptop in the docking bar.
Before this happened, kudzu ran without incident.

I have erased and re-installed the kudzu rpm... this has not corrected the
problem.

straces of the problem always die while reading from the hwconf file.
Comment 1 Bill Nottingham 1999-12-30 12:47:59 EST
Hmmm... that's an odd place for it to die.

If you run a debugging version under gdb, where does
it crash at?

Also, you might want to try the latest kudzu from Raw Hide
to see if it behaves better.
Comment 2 mikepenn 2000-01-18 21:51:59 EST
This bug was not fixed
Comment 3 Bill Nottingham 2000-01-18 22:38:59 EST
Whoops, my bad; forgot about the other e-mail. (To get this
to work a bit better, it's probably best to respond to
bugzilla as opposed to me personally.)

To get a debugging version, you'd need to get the
source, build a version with special flags, and
run it under gdb. If you need a debugging version,
I can mail one to you.

I take it the kudzu from Raw Hide still segfaults
in your case?
Comment 4 Bill Nottingham 2000-01-24 00:18:59 EST
The latest one in Raw Hide is at

ftp://ftp.redhat.com/pub/rawhide/i386/RedHat/RPMS/kudzu-0.24-1.i386.rpm
Comment 5 Bill Nottingham 2000-02-08 18:01:59 EST
Oops, yeah, an empty hwconf file will cause it to keel over.
Fixed in kudzu-0.27.

Note You need to log in before you can comment on or make changes to this bug.